Create network - Fabric

Create network

cURL

curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/network \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '\n{\n  "code": "DC",\n  "name": "Distribution Center",\n  "safetyStock": 2,\n  "rules": {\n    "locationData.attributes.channel": "Frontline",\n    "productData.attributes.subclass": {\n      "$nin": 778942701\n    }\n  }\n}\n'```

### Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/network"

payload = { "code": "DC", "name": "Distribution Center", "safetyStock": 2, "rules": { "locationData.attributes.channel": "Frontline", "productData.attributes.subclass": { "$nin": 778942701 } } } headers = { "x-site-context": "", "Authorization": "Bearer ", "Content-Type": "application/json" }

response = requests.post(url, json=payload, headers=headers)

print(response.text)


### JavaScript (Fetch)

const options = { method: 'POST', headers: { 'x-site-context': '', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: JSON.stringify({ code: 'DC', name: 'Distribution Center', safetyStock: 2, rules: { 'locationData.attributes.channel': 'Frontline', 'productData.attributes.subclass': {$nin: 778942701} } }) };

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/network', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


### PHP
"https://prod01.oms.fabric.inc/api/v2/inventory/network",\ CURLOPT_RETURNTRANSFER => true,\ CURLOPT_ENCODING => "",\ CURLOPT_MAXREDIRS => 10,\ CURLOPT_TIMEOUT => 30,\ CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\ CURLOPT_CUSTOMREQUEST => "POST",\ CURLOPT_POSTFIELDS => json_encode([\ 'code' => 'DC',\ 'name' => 'Distribution Center',\ 'safetyStock' => 2,\ 'rules' => [\ 'locationData.attributes.channel' => 'Frontline',\ 'productData.attributes.subclass' => [\ '$nin' => 778942701\ ]\ ]\ ]),\ CURLOPT_HTTPHEADER => [\ "Authorization: Bearer ",\ "Content-Type: application/json",\ "x-site-context: "\ ],\ ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } ?>

### Go

package main

import ( "fmt" "strings" "net/http" "io" )

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/inventory/network"

payload := strings.NewReader("{\n "code": "DC",\n "name": "Distribution Center",\n "safetyStock": 2,\n "rules": {\n "locationData.attributes.channel": "Frontline",\n "productData.attributes.subclass": { "$nin": 778942701 }\n }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-site-context", "") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close() body, _ := io.ReadAll(res.Body)

fmt.Println(string(body)) }


### Java (Unirest)

HttpResponse response = Unirest.post("https://prod01.oms.fabric.inc/api/v2/inventory/network") .header("x-site-context", "") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n "code": "DC",\n "name": "Distribution Center",\n "safetyStock": 2,\n "rules": {\n "locationData.attributes.channel": "Frontline",\n "productData.attributes.subclass": {\n "$nin": 778942701\n }\n }\n}") .asString();


### Ruby

require 'uri' require 'net/http'

url = URI("https://prod01.oms.fabric.inc/api/v2/inventory/network")

http = Net::HTTP.new(url.host, url.port) http.use_ssl = true

request = Net::HTTP::Post.new(url) request["x-site-context"] = '' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n "code": "DC",\n "name": "Distribution Center",\n "safetyStock": 2,\n "rules": {\n "locationData.attributes.channel": "Frontline",\n "productData.attributes.subclass": {\n "$nin": 778942701\n }\n }\n}"

response = http.request(request) puts response.read_body


### Sample Responses

#### Success (200)

{ "networkId": "62278e49167b6079755aa5e7", "code": "DC", "name": "Distribution Center", "safetyStock": 2, "rules": { "locationData.attributes.channel": "Frontline", "productData.attributes.subclass": { "$nin": 778942701 } } }


#### Invalid Payload (400)

{ "message": "Invalid request payload or parameter" }


#### Resource Not Found (404)

{ "message": "Resource not found. If the issue persists please contact support@fabric.inc." }


#### Internal Error (500)

{ "message": "An internal error occurred. If the issue persists please contact support@fabric.inc." }


### Authorization
- **Authorization**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.
### Headers
- **x-site-context**: Required JSON object containing information about the source you wish to pull from.